.Grid {
    display: grid;
    gap: $grid__gap;

    @for $i from 1 through 6 {
        $block_width : calc( $container__standard / $i ) - $grid__gap; 

        &[data-columns="#{$i}"] {
            grid-template-columns: 1fr;

            @include query ( md ) {
                grid-template-columns: 1fr 1fr;
            }

            @include query ( lg ) {
                grid-template-columns: repeat(auto-fill, minmax( $block_width, 1fr));
            }
          
        }

    }
}
